@echo off
setlocal enabledelayedexpansion

for /f "delims=" %%i in ('where mclmcrrt8_1.dll') do (
    echo %%i 2>&1 | findstr /C:"mclmcrrt8_1.dll" && (
        goto :NEXT
    )
)
echo Not found matlab runtime 8.1
goto :END

:NEXT
echo Everything is Ok
:END